autoconf-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

FYI: separate-traces.patch


From: akim
Subject: FYI: separate-traces.patch
Date: Sun, 24 Jun 2001 01:01:55 +0200
User-agent: Mutt/1.3.18i

Index: ChangeLog
from  Akim Demaille  <address@hidden>
        * autoconf.in (Task traces): Separate the error messages from the
        traces to improve robustness.
        
        
Index: NEWS
--- NEWS Sat, 23 Jun 2001 23:01:08 +0200 akim (ace/31_NEWS 1.43 644)
+++ NEWS Sat, 23 Jun 2001 23:29:45 +0200 akim (ace/31_NEWS 1.43 644)
@@ -6,22 +6,20 @@
   For example, `@<:@' is translated to `[' just before output.  This
   is useful when writing strings that contain unbalanced quotes, or
   other hard-to-quote constructs.
+- m4_pattern_forbid, m4_pattern_allow
 
 ** Default includes
 - Now include stdint.h.
 - sys/types.h and sys/stat.h are guarded.
 
 ** Bug fixes
-- Mostly in the test suite.
+- The test suite is more robust and presents less false failures.
 - Invocation of GNU M4 now robust to POSIXLY_CORRECT.
 - configure accepts --prefix='' again.
 - AC_CHECK_LIB works properly when its first argument is not a
   literal.
-- HAVE_INTTYPES_H is defined only if not conflicting with previous
-  headers.
+- HAVE_INTTYPES_H is defined only if not conflicting with sys/types.h.
 - build_, host_, and target_alias are AC_SUBST as in 2.13.
-- AC_ARG_VAR: The latest value of precious variables is saved, instead
-  of the first one.
 - AC_ARG_VAR properly propagates precious variables inherited from the
   environment to ./config.status.
 - Using --program-suffix/--program-prefix is portable.
@@ -29,12 +27,13 @@
   likely.
 - `config.status foo' works properly when `foo' depends on variables
   set in an AC_CONFIG_THING INIT-CMD.
-- if inttypes.h and sys/types.h are conflicting, consider inttypes.h
-  doesn't exist.
+- autoheader is more robust to broken input.
 
 ** Generic macros
 - AC_CHECK_HEADER and AC_CHECK_HEADERS support a fourth argument to
   specify pre-includes.
+- AC_ARG_VAR refuses to run configure when precious variable have
+  changed.
 
 ** Specific Macros
 - AC_PATH_XTRA only adds -ldnet to $LIBS if it's needed to link.
Index: autoconf.in
--- autoconf.in Sat, 23 Jun 2001 23:01:08 +0200 akim (ace/17_autoconf.s 
1.31.8.44 644)
+++ autoconf.in Sat, 23 Jun 2001 23:25:19 +0200 akim (ace/17_autoconf.s 
1.31.8.44 644)
@@ -733,9 +733,22 @@
   fi
 
   # Run m4 on the input file to get traces.
-  $verbose "$me: running $run_m4_trace $trace_prefiles $infile | $M4 
$tmp/trace.m4" >&2
-  $run_m4_trace $trace_prefiles $infile 2>&1 >/dev/null |
-    sed -f $tmp/trace2m4.sed |
+  #
+  # We used to have a simple pipe, which was very convenient as it
+  # allows to use traces on never ending expansions (i.e., when
+  # debugging :) but it is requires to keep error messages *and*
+  # traces in stderr.  This is too fragile, as it results in
+  # unexpected data in the output.  autoheader has been fragile to
+  # this.
+  $verbose "$me: running $run_m4_trace $trace_prefiles $infile -o $tmp/traces" 
>&2
+  $run_m4_trace $trace_prefiles $infile -o $tmp/traces >/dev/null ||
+    {
+      echo "$me: tracing failed" >&2
+      (exit 1); exit 1
+    }
+
+  $verbose "$me: running $M4 $tmp/trace.m4" >&2
+  sed -f $tmp/trace2m4.sed $tmp/traces |
     # Now we are ready to run m4 to process the trace file.
     if $debug; then
       cat >>$tmp/trace.m4
@@ -745,14 +758,14 @@
     fi |
       # It makes no sense to try to transform __oline__.
       sed '
-       s/@<:@/[/g
-       s/@:>@/]/g
-       s/@S|@/$/g
-       s/@%:@/#/g
-       ' >&4 ||
+       s/@<:@/[/g
+       s/@:>@/]/g
+       s/@S|@/$/g
+       s/@%:@/#/g
+       ' >&4 ||
       {
-        echo "$me: tracing failed" >&2
-       (exit 1); exit 1
+       echo "$me: traces formatting failed" >&2
+       (exit 1); exit 1
       }
   ;;
 



reply via email to

[Prev in Thread] Current Thread [Next in Thread]